/* --------------------------------------------------------------------- *
 * interpreter.h                                                         *
 * --------------------------------------------------------------------- *
 * This file is part of the nebula irc client                            *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#define RPL_WELCOME          001
#define RPL_WHOISUSER        311
#define RPL_WHOISSERVER      312
#define RPL_WHOISOPERATOR    313
#define RPL_WHOISIDLE        317
#define RPL_ENDOFWHOIS       318
#define RPL_WHOISCHANNELS    319
#define RPL_NAMREPLY         353
#define RPL_MOTD             372
#define RPL_MOTDSTART        375
#define RPL_ENDOFMOTD        376
#define ERR_NOSUCHNICK       401
#define ERR_NOSUCHCHANNEL    403
#define ERR_CANNOTSENDTOCHAN 404
#define ERR_NICKNAMEINUSE    433
#define ERR_NICKCOLLISION    436

void interpretCommand(char *cmd);
void interpretMessage(char *inBuff);
void handlePing (char *sender);
void handlePrivateMessage (char *sender, char *msg);
void handleNotice (char *sender, char *msg);
void handleChannelMessage (char *sender, char *msg);
void handleAction (char *sender, char *msg);
void handleCommandResponse(int code, char *msg);
void handleJoinNotify(char *sender, char *channel);
void handleQuitNotify(char *sender, char *desc);
void handlePartNotify(char *sender, char *desc);
void handleNamesReply(char *message);
void handleMode (char *sender, char *dest, char *msg);
void handleCTCPVersion (char *sender);
#include "copyright.h"
