/* --------------------------------------------------------------------- *
 * main.h                                                                *
 * --------------------------------------------------------------------- *
 * This file is part of the nebula irc client                            *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include <sys/param.h>  /* for MAXHOSTNAMELEN */

#define PREF_FILE_NAME ".nebula.rc"

#define CLIENT_NAME "Nebula IRC"
#define CLIENT_VERSION PACKAGE_VERSION
#include "config.h"

#define SYSINFO_LEN 128
#define MAX_COMMAND_LEN 1024
#define MAX_INPUT_LEN 480
#define MAX_CHUNK_LEN 512 /* RFC 1459 */
#define MAX_SERVERNAME_LEN 128
#define MAX_NICK_LEN 32
#define MAX_NAME_LEN 64
#define MAX_CHANNEL_LEN 64
#define OLD_MOTIF

#include <assert.h>

#define NO 0
#define YES 1

#ifndef MAXHOSTNAMELEN
#define MAXHOSTNAMELEN 64
#warning MAXHOSTNAMELEN not defined in system headers ?
#endif

typedef struct 
{
    char myHostName[MAXHOSTNAMELEN];
    char systemInfo[SYSINFO_LEN];
    char isConnected;
    char isAuthenticated;
    int  socket;
    char serverName[MAX_SERVERNAME_LEN];
    int  port;
    char myNick[MAX_NICK_LEN];
    char myName[MAX_NAME_LEN];
    char myUnixname[MAX_NAME_LEN];
    char isInChannel;
    char currentChannel[MAX_CHANNEL_LEN];
    char isInQuery;
    char currentQuery[MAX_NICK_LEN];
} systemStatusRecord;

void addFdToSelectMask(int fd);
void rmvFdToSelectMask(int fd);
void quitApplication();
void appendText(char *msg);

#include "copyright.h"
