/* --------------------------------------------------------------------- *
 * userlist.c                                                            *
 * --------------------------------------------------------------------- *
 * This file is part of the nebula irc client                            *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include <Xm/Xm.h>
#include <Xm/List.h>

#include "main.h"

void addUserToList(char *nick, Widget listWidget)
{
    XmString tempXmString;

    tempXmString = XmStringCreateLocalized(nick);
    if (XmListItemExists(listWidget, tempXmString) == False)
        XmListAddItem(listWidget, tempXmString, 0);
    XmStringFree(tempXmString);
}

void removeUserFromList(char *nick, Widget listWidget)
{
    XmString tempXmString;

    tempXmString = XmStringCreateLocalized(nick);
    XmListDeleteItem(listWidget, tempXmString);
    XmStringFree(tempXmString);
}

void renameUserInList(char *oldNick, char *newNick, Widget listWidget)
{
    XmString tempXmString;

    tempXmString = XmStringCreateLocalized(oldNick);
    if (XmListItemPos(listWidget, tempXmString))
    {
    	removeUserFromList(oldNick, listWidget);
    	addUserToList(newNick, listWidget);
    }
    XmStringFree(tempXmString);
}

void removeAllUsersFromList(Widget listWidget)
{
    XmListDeleteAllItems(listWidget);
}
#include "copyright.h"
